Imports System.ComponentModel.Composition
Imports Effector.Plugin.Interface
Imports KeraLua

<Export(GetType(IPluginLuaManager))>
<ExportMetadata("Name", "LuaManager")>
Public Class LuaManager
   Implements IPluginLuaManager

   Private state As Lua

   Public Function PlgInit(state As Object) As Boolean Implements IPluginLuaManager.PlgInit
      SetState(state)
      Return LuaInstallGeneral(state)
   End Function

End Class
